/*
 *
 *    soniK digital audio editor
 *    Copyright (C) 2003-2004, 2006  Robert Walker <rob@tenfoot.org.uk>
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
#include "display.h"

#include <kdebug.h>

Sonik::Display::Display(const QString& pluginName,
                        const QString& displayName,
                        QObject* parent, const char* name,
                        const QStringList& args)
  : Plugin(pluginName, displayName, parent, name, args),
    mIsActive(false),
    mPluginAction(0)
{
  mPluginAction = new KToggleAction(mDisplayName, 0,
                                    this, SLOT(slotPluginAction()),
                                    actionCollection(),
                                    "display_" + pluginName);
}

Sonik::Display::~Display()
{
}

void Sonik::Display::setActive(bool active)
{
  mPluginAction->setChecked(active);
  mIsActive = active;
}

bool Sonik::Display::active() const
{
  return mIsActive;
}

void Sonik::Display::slotPluginAction()
{
  if (!mIsActive)
    emit pluginSelected(this);
}
